org.apache.calcite.avatica.util

## Class AbstractCursor.FixedStringAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.StringAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.FixedStringAccessor

All Implemented Interfaces:
  Cursor.Accessor

Direct Known Subclasses:
  AbstractCursor.StringFromCharAccessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.FixedStringAccessor
    extends AbstractCursor.StringAccessor

Accessor that assumes that the underlying value is a `String`; corresponds to `Types.CHAR`.

### Field Summary

Fields
`protected Spacer` `spacer`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `FixedStringAccessor(AbstractCursor.Getter getter, int length)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getString()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.StringAccessor

`getBytes`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### spacer

    protected final Spacer spacer

### Constructor Detail

#### FixedStringAccessor

    private FixedStringAccessor(AbstractCursor.Getter getter,
                                int length)

### Method Detail

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.StringAccessor`
Throws:
  `SQLException`